{
    attributes = (
        {
            columnName = "CLDD_ORDRE"; 
            externalType = NUMBER; 
            name = clddOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            name = cldOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_DEB_CLD_DETAIL"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CLD_DETAIL"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DEN_TAUX_CLD"; 
            externalType = NUMBER; 
            name = denTaux; 
            precision = 3; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NUM_TAUX_CLD"; 
            externalType = NUMBER; 
            name = numTaux; 
            precision = 3; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (clddOrdre, cldOrdre, denTaux, numTaux, temValide); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.conges.EOMangueCldDetail"; 
    classProperties = (
        cldDetailCorresps, 
        dateDebut, 
        dateFin, 
        dCreation, 
        denTaux, 
        dModification, 
        mangueCld, 
        numTaux, 
        temValide
    ); 
    externalName = "MANGUE.CLD_DETAIL"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (dateDebut, dateFin, denTaux, mangueCld, numTaux, temValide); 
    }; 
    name = MangueCldDetail; 
    primaryKeyAttributes = (clddOrdre); 
    relationships = (
        {
            destination = CldDetailCorresp; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = clddmOrdre; sourceAttribute = clddOrdre; }); 
            name = cldDetailCorresps; 
        }, 
        {
            destination = MangueCld; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = cldOrdre; }); 
            name = mangueCld; 
        }
    ); 
    userInfo = {
        "_EntityModeler" = {
            parentClassName = "org.cocktail.connecteur.serveur.modele.entite_destination.ObjetPourSIDestinataireAvecDates"; 
        }; 
    }; 
}
